public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Johannes Huber" <johu@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-libs/taglib/
Date: Tue, 20 Dec 2016 19:03:38 +0000 (UTC)	[thread overview]
Message-ID: <1482260603.d6627420b859f82355a9166659228b30ca62eba9.johu@gentoo> (raw)

commit:     d6627420b859f82355a9166659228b30ca62eba9
Author:     Craig Andrews <candrews <AT> integralblue <DOT> com>
AuthorDate: Mon Dec 19 02:35:16 2016 +0000
Commit:     Johannes Huber <johu <AT> gentoo <DOT> org>
CommitDate: Tue Dec 20 19:03:23 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d6627420

media-libs/taglib: 1.11.1 version bump

Gentoo-bug: 603040
Closes: https://github.com/gentoo/gentoo/pull/3170

Signed-off-by: Johannes Huber <johu <AT> gentoo.org>

 media-libs/taglib/Manifest             |  1 +
 media-libs/taglib/taglib-1.11.1.ebuild | 55 ++++++++++++++++++++++++++++++++++
 2 files changed, 56 insertions(+)

diff --git a/media-libs/taglib/Manifest b/media-libs/taglib/Manifest
index 27f9ea0..78da283 100644
--- a/media-libs/taglib/Manifest
+++ b/media-libs/taglib/Manifest
@@ -1,3 +1,4 @@
 DIST taglib-1.10.tar.gz 1233893 SHA256 2cd09ac6d4c4ec610aa5a0a488466bd0e0f78576581ef1f344090e397ecb9c52 SHA512 bf3256b08c4fa35d9416b50d700a6634222485e481528bd2a711ae7ec0d48ee99aed66286199f30e5391218aa818a692b92c779b5fcf40617a78b767bfd9b9a5 WHIRLPOOL ae55b391a69416877674ba9bdf01fcca06a216589c620785a4d7a489b548969bf317ce8d08aab9309325564f7ebe8e4b0c51f8bf2269c6d995f2a1ad8b430790
+DIST taglib-1.11.1.tar.gz 1261620 SHA256 b6d1a5a610aae6ff39d93de5efd0fdc787aa9e9dc1e7026fa4c961b26563526b SHA512 7846775c4954ea948fe4383e514ba7c11f55d038ee06b6ea5a0a1c1069044b348026e76b27aa4ba1c71539aa8143e1401fab39184cc6e915ba0ae2c06133cb98 WHIRLPOOL 243cafaf238303eb2dcdca415ced4dbfb49d4890ba4ad5baec25aff9175bc33e3a20835518d461be946805b7b438c50c86d3999dc98fa648d177ac32a4a0b062
 DIST taglib-1.11.tar.gz 1263736 SHA256 ed4cabb3d970ff9a30b2620071c2b054c4347f44fc63546dbe06f97980ece288 SHA512 f353bd0dadcc75f8a8f08919efc3aec2502166a3e23dd605f1b1c14ffe68ea1d2c59731bc4e0e4ee879ccf33436e4084e7c4d983034a1ce85fe0fa31a78dede7 WHIRLPOOL 4143fff5ad6141388ea5184b7f73772deb3245d8abb4381ae43de59624f95237c4d206d7afb776422e55fd54b83b631e391a0b6e3f5181e09f3f78de7103cff7
 DIST taglib-1.9.1.tar.gz 654074 SHA256 d4da9aaaddf590ff15273b9b2c4622b6ce8377de0f40bab40155d471ede9c585 SHA512 17523b7ebdd089520289ae817b07f291be93fd0b9d3b2891eb4860a24e45943e94d25b99250c1ac477de5e51b08c39887ca13fdcc2dce17867eb60d1edb26154 WHIRLPOOL 962ec0508d8256a54ea686d4fb8d366f23f82bf10df6406c8012295ceda8416a5f23db6e450551b685798d628623eb5247e6ab7b658f955d897b86340baa5e8e

diff --git a/media-libs/taglib/taglib-1.11.1.ebuild b/media-libs/taglib/taglib-1.11.1.ebuild
new file mode 100644
index 00000000..6cd16ed
--- /dev/null
+++ b/media-libs/taglib/taglib-1.11.1.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit cmake-multilib
+
+DESCRIPTION="A library for reading and editing audio meta data"
+HOMEPAGE="https://taglib.github.io/"
+SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="LGPL-2.1 MPL-1.1"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~x86-freebsd ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x86-solaris"
+SLOT="0"
+IUSE="boost debug examples test"
+
+RDEPEND=">=sys-libs/zlib-1.2.8-r1[${MULTILIB_USEDEP}]
+	boost? ( dev-libs/boost:=[${MULTILIB_USEDEP}] )"
+DEPEND="${RDEPEND}
+	>=virtual/pkgconfig-0-r1[${MULTILIB_USEDEP}]
+	test? ( >=dev-util/cppunit-1.13.2[${MULTILIB_USEDEP}] )
+"
+
+PATCHES=(
+	"${FILESDIR}"/${PN}-1.11-install-examples.patch
+)
+
+MULTILIB_CHOST_TOOLS=(
+	/usr/bin/taglib-config
+)
+
+src_prepare() {
+	cmake-utils_src_prepare
+
+	sed -e "s/BUILD_TESTS AND NOT BUILD_SHARED_LIBS/BUILD_TESTS/" \
+		-i CMakeLists.txt \
+		-i ConfigureChecks.cmake || die
+}
+
+multilib_src_configure() {
+	local mycmakeargs=(
+		-DBUILD_EXAMPLES=$(multilib_native_usex examples)
+		$(cmake-utils_use_find_package boost Boost)
+		-DBUILD_SHARED_LIBS=ON
+		-DBUILD_TESTS=$(usex test)
+	)
+
+	cmake-utils_src_configure
+}
+
+multilib_src_test() {
+	# ctest does not work
+	emake -C "${BUILD_DIR}" check
+}


             reply	other threads:[~2016-12-20 19:03 UTC|newest]

Thread overview: 69+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-12-20 19:03 Johannes Huber [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-03-07 23:46 [gentoo-commits] repo/gentoo:master commit in: media-libs/taglib/ Andreas Sturmlechner
2024-03-07 23:44 Andreas Sturmlechner
2023-10-01 19:24 Arthur Zamarin
2023-10-01  2:33 Sam James
2023-10-01  2:27 Sam James
2023-10-01  2:27 Sam James
2023-09-30 18:28 Arthur Zamarin
2023-09-30 18:28 Arthur Zamarin
2023-09-30 18:28 Arthur Zamarin
2022-12-15  4:43 Arthur Zamarin
2022-12-05 18:03 Arthur Zamarin
2022-12-05  8:45 Sam James
2022-12-05  8:45 Sam James
2022-12-05  8:45 Sam James
2022-12-05  8:35 Sam James
2022-12-05  8:33 Sam James
2022-10-06  9:14 Andreas Sturmlechner
2022-08-28  5:06 WANG Xuerui
2021-08-10 12:43 Marek Szuba
2021-04-12  1:27 Sam James
2021-04-07  6:21 Sam James
2021-04-06 19:47 Sam James
2021-04-04 21:21 Sergei Trofimovich
2021-04-04 21:21 Sergei Trofimovich
2021-04-04 21:21 Sergei Trofimovich
2021-04-04 16:03 Thomas Deutschmann
2019-11-28  3:11 Andreas Sturmlechner
2019-11-27 20:15 Sergei Trofimovich
2019-11-27 13:09 Mikle Kolyada
2019-11-22 13:44 Matt Turner
2019-11-20 11:27 Agostino Sarubbo
2019-11-20 11:21 Agostino Sarubbo
2019-11-19 19:45 Sergei Trofimovich
2019-11-14 15:43 Agostino Sarubbo
2019-11-14 15:41 Agostino Sarubbo
2019-11-14 12:30 Agostino Sarubbo
2019-11-14  0:16 Aaron Bauman
2019-11-13 22:00 Andreas Sturmlechner
2019-10-12  9:31 Andreas Sturmlechner
2019-05-11  1:33 Aaron Bauman
2019-02-10 18:07 Mikle Kolyada
2019-02-02 21:17 Sergei Trofimovich
2019-02-02 19:18 Sergei Trofimovich
2019-02-02 19:09 Sergei Trofimovich
2019-02-02 15:38 Andreas Sturmlechner
2019-02-01 14:55 Tobias Klausmann
2019-01-31 22:15 Thomas Deutschmann
2019-01-29 19:41 Sergei Trofimovich
2018-11-17 23:10 Andreas Sturmlechner
2018-05-26 11:05 David Seifert
2017-10-14  0:11 Andreas Sturmlechner
2017-10-12  9:11 Sergei Trofimovich
2017-09-27  9:01 Sergei Trofimovich
2017-09-24 17:17 Sergei Trofimovich
2017-08-31 15:18 Matt Turner
2017-08-29 20:42 Thomas Deutschmann
2017-08-25 22:18 Mikle Kolyada
2017-08-23  4:59 Markus Meier
2017-08-13 17:16 Sergei Trofimovich
2017-08-08 17:33 Andreas Sturmlechner
2017-05-26 14:05 Agostino Sarubbo
2017-05-25 10:44 Agostino Sarubbo
2017-01-04 15:29 Agostino Sarubbo
2016-12-20 19:03 Johannes Huber
2016-12-19 15:40 Tobias Klausmann
2016-07-25 21:22 Michael Palimaka
2016-01-04 17:28 Michael Palimaka
2015-09-29 17:45 Michael Palimaka

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1482260603.d6627420b859f82355a9166659228b30ca62eba9.johu@gentoo \
    --to=johu@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox